use super::structs::Context;
use warp::Filter;

pub fn with_context(
    context: Context,
) -> impl Filter<Extract = (Context,), Error = std::convert::Infallible> + Clone {
    warp::any().map(move || context.clone())
}
